﻿
Imports System.Collections.ObjectModel
Imports System.Collections.Specialized
Imports $safeprojectname$
Imports Syncfusion.UI.Xaml.Charts
Imports ClassLibrary2



Public NotInheritable Class MainPage
    Inherits Page
    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        'Dim Demands = New ObservableCollection(Of GoldDemand)
        'Demands.Add(New GoldDemand("Jewelry", 1998.0, 2361.2))
        'Demands.Add(New GoldDemand("Electronics", 1284.0, 1328.0))
        'Demands.Add(New GoldDemand("Research", 1090.5, 1032.0))
        'Demands.Add(New GoldDemand("Investment", 1643.0, 1898.0))
        'Demands.Add(New GoldDemand("Bank Purchases", 987.0, 887.0))


        Dim Demands As New List(Of GoldDemand)
        Demands.Add(New GoldDemand() With {.Demand = "Jewelry", .Year2010 = 1998.0, .Year2011 = 2361.2})
        Demands.Add(New GoldDemand() With {.Demand = "Electronics", .Year2010 = 1284.0, .Year2011 = 1328.0})
        Demands.Add(New GoldDemand() With {.Demand = "Research", .Year2010 = 1090.5, .Year2011 = 1032.0})
        Demands.Add(New GoldDemand() With {.Demand = "Investment", .Year2010 = 1643.0, .Year2011 = 1898.0})
        Demands.Add(New GoldDemand() With {.Demand = "Bank Purchases", .Year2010 = 987.0, .Year2011 = 887.0})

        Dim x = "Test1998.02361.2"
        Demands.Add(New GoldDemand() With {.Demand = getDemand(x), .Year2010 = getValue1(x), .Year2011 = getValue2(x)})


        ' Add any initialization after the InitializeComponent() call.

        Dim chart As New SfChart()
        chart.Header = "Demand Comparison for Gold"
        chart.Legend = New ChartLegend() With {.Visibility = Visibility.Visible}
        chart.HorizontalAlignment = HorizontalAlignment.Center
        chart.VerticalAlignment = VerticalAlignment.Center
        chart.Height = 300.0R
        chart.Width = 500.0R

        Dim primaryCategoryAxis As New CategoryAxis()
        primaryCategoryAxis.Header = "Demands"
        chart.PrimaryAxis = primaryCategoryAxis

        Dim secondaryNumericalAxis As New NumericalAxis()
        secondaryNumericalAxis.Header = "Values ( In Tonnes)"
        chart.SecondaryAxis = secondaryNumericalAxis



        Dim series1 As New ColumnSeries()
        series1.Label = "2010"
        series1.ItemsSource = Demands
        series1.XBindingPath = "Demand"
        series1.YBindingPath = "Year2010"

        'Intialize the second series (ColumnSeries) for the chart
        Dim series2 As New ColumnSeries()
        series2.Label = "2011"
        series2.ItemsSource = Demands
        series2.XBindingPath = "Demand"
        series2.YBindingPath = "Year2011"

        'Adding Series to the Chart Series Collection
        chart.Series.Add(series1)
        chart.Series.Add(series2)


        'Setting Chart as a Content for the Grid in Page
        Me.MainGrid.Children.Add(chart)

    End Sub

    Private Function getDemand(ByRef x) As String
        Return x.Substring(0, 4)
    End Function

    Private Function getValue1(ByRef x) As Double
        Return x.substring(4, 6)
    End Function

    Private Function getValue2(ByRef x) As Double
        Return x.substring(9, 6)
    End Function

End Class
'Public Class Demands
'    Inherits ObservableCollection(Of GoldDemand)

'End Class


'Public Class GoldDemand

'Public Sub New(ByVal d As String, ByVal y2010 As Double, ByVal y2011 As Double)
' Me.m_Demand = d
' Me.m_Year2010 = y2010
'Me.m_Year2011 = y2011
'End Sub
'Property Demand As String
'Get
'Return m_Demand
'End Get
'Set(value As String)
'm_Demand = value
'End Set
'End Property
'Property Year2010 As Double
'Get
'Return m_Year2010
'End Get
'Set(value As Double)
'm_Year2010 = value
'End Set
'End Property
'
'Property Year2011 As Double
'Get
'Return m_Year2011
'End Get
'Set(value As Double)
'm_Year2011 = value
'End Set
'End Property
'
'
'Private m_Demand As String
'Private m_Year2010 As Double
'Private m_Year2011 As Double

'End Class





